diff -pruN 51/debian/changelog 52/debian/changelog
--- 51/debian/changelog	2021-01-10 22:25:02.000000000 +0000
+++ 52/debian/changelog	2021-02-21 08:30:19.000000000 +0000
@@ -1,3 +1,14 @@
+cross-toolchain-base (52) unstable; urgency=medium
+
+  * Build using linux 5.10.13.
+  * Build using binutils 2.35.2-2.
+  * Bump autoconf dependencies from 2.64 to 2.69.
+  * Fix conversion of arch qualified relations (Helmut Grohne).
+    Closes: #982888.
+  * Add build dependency and autopkg test dependency on debugedit.
+
+ -- Matthias Klose <doko@debian.org>  Sun, 21 Feb 2021 09:30:19 +0100
+
 cross-toolchain-base (51) unstable; urgency=medium
 
   * Build using gcc 10.2.1-6.
diff -pruN 51/debian/control 52/debian/control
--- 51/debian/control	2021-01-10 22:25:02.000000000 +0000
+++ 52/debian/control	2021-02-21 08:30:19.000000000 +0000
@@ -8,14 +8,14 @@ Vcs-Git: https://salsa.debian.org/toolch
 Standards-Version: 4.5.1
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
-  binutils-source (>= 2.35.1-7~),
+  binutils-source (>= 2.35.2-2~),
   glibc-source (>= 2.31-9~),
   gcc-10-source (>= 10.2.1-6~),
-  linux-source (>= 5.10), linux-libc-dev (>= 5.10),
-  autoconf (>= 2.64), autoconf2.64, autogen,
+  linux-source (>= 5.10.13), linux-libc-dev (>= 5.10.13),
+  autoconf (>= 2.69), autoconf2.69, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
-  dwz, gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
+  dwz, debugedit (>= 4.16), gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
   libisl-dev, libmpc-dev, libelf-dev,
   libmpfr-dev (>= 2.3.0), rsync, xmlto, libtool, lsb-release, lzma, m4,
   make (>= 3.81), kmod | module-init-tools, symlinks,
diff -pruN 51/debian/control.source.in 52/debian/control.source.in
--- 51/debian/control.source.in	2021-01-09 14:46:05.000000000 +0000
+++ 52/debian/control.source.in	2021-02-20 15:46:49.000000000 +0000
@@ -12,10 +12,10 @@ Build-Depends: binutils-multiarch,
   glibc-source (>= MIN_VER_GLIBC),
   gcc-VER_GCC_BASE-source (>= MIN_VER_GCC),
   linux-source (>= MIN_VER_LINUX), linux-libc-dev (>= MIN_VER_LINUX),
-  autoconf (>= 2.64), autoconf2.64, autogen,
+  autoconf (>= 2.69), autoconf2.69, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
-  dwz, gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
+  dwz, debugedit (>= 4.16), gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
   libisl-dev, libmpc-dev, libelf-dev,
   libmpfr-dev (>= 2.3.0), rsync, xmlto, libtool, lsb-release, lzma, m4,
   make (>= 3.81), kmod | module-init-tools, symlinks,
diff -pruN 51/debian/dpkg-cross 52/debian/dpkg-cross
--- 51/debian/dpkg-cross	2018-04-02 02:35:40.000000000 +0000
+++ 52/debian/dpkg-cross	2021-02-16 09:58:27.000000000 +0000
@@ -1338,7 +1338,12 @@ sub rewrite_item {
 	my $name = $1;
 	return () if grep { $_ eq $name } @removedeps;
 	return $str if grep { $_ eq $name } @keepdeps;
-	$str =~ s/^([^ (]+)/$name-$arch-cross/;
+	if ($name =~ /^([^:]*):(.*)/) {
+		my $replacement = "$1-$2-cross";
+		$str =~ s/^[^ (]+/$replacement/;
+	} else {
+		$str =~ s/^([^ (]+)/$name-$arch-cross/;
+	}
 	return $str;
 }
 
diff -pruN 51/debian/rules 52/debian/rules
--- 51/debian/rules	2021-01-10 22:25:02.000000000 +0000
+++ 52/debian/rules	2021-02-21 08:30:19.000000000 +0000
@@ -74,9 +74,9 @@ endif
 # ATTENTION: don't forget to update these in debian/tests/control
 # ===============================================================
 MIN_VER_GLIBC		:= 2.31-9~
-MIN_VER_LINUX		:= 5.10
+MIN_VER_LINUX		:= 5.10.13
 MIN_VER_GCC		:= 10.2.1-6~
-MIN_VER_BINUTILS	:= 2.35.1-7~
+MIN_VER_BINUTILS	:= 2.35.2-2~
 VER_GCC_BASE		:= 10
 libgcc_base		:= gcc-s
 
diff -pruN 51/debian/tests/control 52/debian/tests/control
--- 51/debian/tests/control	2021-01-09 15:55:52.000000000 +0000
+++ 52/debian/tests/control	2021-02-21 08:30:19.000000000 +0000
@@ -4,14 +4,14 @@ Tests: build
 #Restrictions: build-needed
 Depends: build-essential,
   fakeroot,
-  binutils-source (>= 2.34-1~),
-  glibc-source (>= 2.31-1~), glibc-source (<< 2.32),
-  gcc-10-source (>= 10.1.0-5~),
-  linux-source (>= 5.4), linux-libc-dev (>= 5.4),
-  autoconf (>= 2.64), autoconf2.64, autogen,
+  binutils-source (>= 2.35.2-2~),
+  glibc-source (>= 2.31-9~), glibc-source (<< 2.32),
+  gcc-10-source (>= 10.2.1-6~),
+  linux-source (>= 5.10.13), linux-libc-dev (>= 5.10.13),
+  autoconf (>= 2.69), autoconf2.69, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
-  dwz, gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
+  debugedit (>= 4.16), dwz, gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
   libisl-dev, libmpc-dev, libelf-dev,
   libmpfr-dev (>= 2.3.0), rsync, xmlto, libtool, lsb-release, lzma, m4,
   make (>= 3.81), kmod | module-init-tools, symlinks,
